"""Accountant distribution setup."""

# vim: set tw=80 ts=4 sw=4 sts=4:

from setuptools import setup

setup(
    name='Accountant',
    version='0.0.1',
    license='AGPL',
    author='Alexis Lahouze',
    author_email='alexis@lahouze.org',

    long_description=__doc__,

    packages=['accountant', 'accountant.migrations'],
    include_package_data=True,
    zip_safe=False,

    install_requires=[
        'Flask~=0.12',
        'Flask-Alembic~=2.0',
        'Flask-SQLAlchemy>=2.2',
        'Flask-restplus~=0.10.1',
        'Flask-Cors~=3.0.0',
        'Flask-JWT-Extended~=2.0.0',
        'passlib~=1.7.1',
        'arrow~=0.10.0',
        'psycopg2~=2.7.1'
    ],
    setup_requires=[
        'pytest-runner',
    ],
    tests_require=[
        'pytest',
        'pytest-pylint',
        'pytest-flakes',
        'pytest-cov',
        'pytest-mock',
    ],
    extras_require={
        'dev': [
            'ipython',
            'ipdb',
            'flask-shell-ipython',
        ],
    },
)
